[maemo-commits] [maemo-commits] r18106 - in projects/haf/trunk/ke-recv: debian src

From: subversion at stage.maemo.org subversion at stage.maemo.org
Date: Mon Apr 20 11:17:08 EEST 2009
Author: kihamala
Date: 2009-04-20 11:17:03 +0300 (Mon, 20 Apr 2009)
New Revision: 18106

Modified:
   projects/haf/trunk/ke-recv/debian/changelog
   projects/haf/trunk/ke-recv/src/mmc-format.c
   projects/haf/trunk/ke-recv/src/osso-mmc-umount.sh
Log:
releasing


Modified: projects/haf/trunk/ke-recv/debian/changelog
===================================================================
--- projects/haf/trunk/ke-recv/debian/changelog	2009-04-17 14:15:10 UTC (rev 18105)
+++ projects/haf/trunk/ke-recv/debian/changelog	2009-04-20 08:17:03 UTC (rev 18106)
@@ -1,3 +1,10 @@
+ke-recv (3.13-1) unstable; urgency=low
+
+  * Fixes: NB#110491 - BAT: Memory card formatting does not take place.
+  * Added a run of lsof and logging in case unmounting fails.
+
+ -- Kimmo Hämäläinen <kimmo.hamalainen at nokia.com>  Mon, 20 Apr 2009 11:12:00 +0300
+
 ke-recv (3.12-1) unstable; urgency=low
 
   * Added more FAT partition types as supported types to the mount script.

Modified: projects/haf/trunk/ke-recv/src/mmc-format.c
===================================================================
--- projects/haf/trunk/ke-recv/src/mmc-format.c	2009-04-17 14:15:10 UTC (rev 18105)
+++ projects/haf/trunk/ke-recv/src/mmc-format.c	2009-04-20 08:17:03 UTC (rev 18106)
@@ -231,25 +231,25 @@
         int child_status = -1;
         assert(signo == SIGCHLD);
         if (ignore_child) {
-                ULOG_DEBUG_F("child from exec_prog");
+                printf("%s: child from exec_prog\n", __func__);
                 return;
         }
-        ULOG_DEBUG_F("child pid=%d", child_pid);
+
         ret = waitpid(child_pid, &child_status, 0);
         if (ret == -1) {
-                ULOG_ERR_F("waitpid() failed");
+                printf("%s: waitpid() failed\n", __func__);
                 exit(1);
         }
         if (WIFEXITED(child_status)) {
-                ULOG_DEBUG_F("child returned: %d",
-                             WEXITSTATUS(child_status));
+                printf("%s: child returned: %d\n", __func__,
+                       WEXITSTATUS(child_status));
                 if (WEXITSTATUS(child_status) != 0) {
                         exit(2);
                 }
                 sync();  /* sync before exit */
                 exit(0);
         } else {
-                ULOG_WARN_F("child terminated abnormally");
+                printf("%s: child terminated abnormally\n", __func__);
                 exit(2);
         }
 }

Modified: projects/haf/trunk/ke-recv/src/osso-mmc-umount.sh
===================================================================
--- projects/haf/trunk/ke-recv/src/osso-mmc-umount.sh	2009-04-17 14:15:10 UTC (rev 18105)
+++ projects/haf/trunk/ke-recv/src/osso-mmc-umount.sh	2009-04-20 08:17:03 UTC (rev 18106)
@@ -35,11 +35,26 @@
     # lazy unmounting if mmc-unmount failed
     echo "$0: lazy umount for $MP"
     umount -l $MP 2> /dev/null
+    RC=$?
+    if [ $RC != 0 -a -x /usr/bin/lsof ]; then
+      TMP=`/usr/bin/lsof $MP`
+      echo $TMP
+      if [ -x /usr/bin/logger ]; then
+        /usr/bin/logger $TMP
+      fi
+    fi
   elif [ $RC != 0 ]; then
     # old-fashioned unmounting if mmc-unmount failed
     umount $MP 2> /dev/null
+    RC=$?
+    if [ $RC != 0 -a -x /usr/bin/lsof ]; then
+      TMP=`/usr/bin/lsof $MP`
+      echo $TMP
+      if [ -x /usr/bin/logger ]; then
+        /usr/bin/logger $TMP
+      fi
+    fi
   fi
-  RC=$?
 else
   # it is not mounted
   RC=0


More information about the maemo-commits mailing list